Create Deposit Transaction
This endpoint provides a transaction to be executed by an EOA to deposit funds into a smart wallet. This is a convenience endpoint to easily build a transfer to be executed by Metamask or any other EOA wallet
Authorization
x-api-key In: header
Path Parameters
The smart wallet address (in hexadecimal format) receiving the transfer.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/wallets/0xa2acc967a9fc4fd5d18351d06deb9b8718c18333/deposit" \ -H "Content-Type: application/json" \ -d '{ "amount": "101.25", "chainId": 42161, "token": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174", "fromAddress": "0x6648e365a1b072797ee871d45691aead31b9d016" }'{ "transfer": { "from": "0x6648e365a1b072797ee871d45691aead31b9d016", "to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174", "value": "101250000000000000000", "data": "0xa9059cbb000000000000000000000000a2acc967a9fc4fd5d18351d06deb9b8718c183330000000000000000000000000000000000000000000000000E0D1F62B3154000", "estimateGasCost": "0.452" }}